const gulp = require("gulp");
const tsc = require("gulp-typescript");
const tsProject = tsc.createProject("./tsconfig.json");
var embedTemplates = require('gulp-angular-embed-templates');
var concat = require('gulp-concat');
var umd = require('gulp-umd');


gulp.task('app.build', function () {
    gulp.src('src/**/*.ts')
        .pipe(embedTemplates({ sourceType: 'ts' }))
        .pipe(tsProject())
        .pipe(gulp.dest('./build/js'));
});

gulp.task('app.bundle', function () {
    gulp.src('build/**/*.js')
        .pipe(concat('bundle.min.js'))
        //    .pipe(uglify())
        .pipe(gulp.dest('bundles'));
});



